- name: Configure License via GitLab Rails
  block:
    - name: Configure License if missing via GitLab Rails
      command: |
        gitlab-rails runner "
          if License.current&.plan == nil
            license = License.new(data: '{{ lookup('file', gitlab_license_file) }}')
            license.save
          end

          print License.current.plan
        "
      delegate_to: "{{ groups['gitlab_rails'][0] }}"
      delegate_facts: true
      become: true
      diff: false
      register: configure_license_response

    - name: Save License Plan
      set_fact:
        gitlab_license_plan: "{{ configure_license_response.stdout }}"
  when: "'gitlab_rails' in groups"
  tags: license

- name: Configure License via GitLab Toolbox pod
  block:
    - name: Configure License if missing via GitLab Toolbox pod
      kubernetes.core.k8s_exec:
        pod: "{{ toolbox_pod }}"
        namespace: "{{ gitlab_charts_release_namespace }}"
        command: |
          gitlab-rails runner "
            if License.current&.plan == nil
              license = License.new(data: '{{ lookup('file', gitlab_license_file) }}')
              license.save
            end

            print License.current.plan
          "
      diff: false
      register: configure_license_response

    - name: Save License Plan
      set_fact:
        gitlab_license_plan: "{{ configure_license_response.stdout }}"
  when:
    - toolbox_pod is defined
    - "'gitlab_rails' not in groups"
  tags: license
